Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dmt.jdm.transform.clipping
Interface OraClippingTransformFactory

All Superinterfaces:
  javax.datamining.Factory

public interface OraClippingTransformFactory
extends javax.datamining.Factory

This factory is used to create the OraClippingTransform object.

Method Summary
`OraClippingTransform` | `create(java.lang.String inputDataURI, java.lang.String outputDataURI, boolean isOutputAsView)` Creates a clipping transform with default clipping type
`OraClippingTransform` | `create(java.lang.String inputDataURI, java.lang.String outputDataURI, boolean isOutputAsView, OraClippingType clippingType, double tailFraction)` Creates a clipping transform with the specified clipping table..
`OraClippingTransform` | `create(java.lang.String inputDataURI, java.lang.String outputDataURI, boolean isOutputAsView, java.lang.String inputClippingTable)` Creates a clipping transform with the specified clipping table..

Method Detail

### create

    public OraClippingTransform create(java.lang.String inputDataURI,
                                       java.lang.String outputDataURI,
                                       boolean isOutputAsView)
                                throws javax.datamining.JDMException

  Creates a clipping transform with default clipping type
  Parameters:
    `inputDataURI` - uri of the input table
    `outputDataURI` - uri of the output view or table
    `isOutputAsView` - falg to indicate the output is a view or table
  Returns:
    OraClippingTransform instance of the clipping transformation object
  Throws:
    `javax.datamining.JDMException` - if instance of the clipping transformation object can not be created

### create

    public OraClippingTransform create(java.lang.String inputDataURI,
                                       java.lang.String outputDataURI,
                                       boolean isOutputAsView,
                                       java.lang.String inputClippingTable)
                                throws javax.datamining.JDMException

  Creates a clipping transform with the specified clipping table..
  Parameters:
    `inputDataURI` - uri of the input table
    `outputDataURI` - uri of the output view or table
    `isOutputAsView` - falg to indicate the output is a view or table
    `inputClippingTable` - name of the clipping table
  Returns:
    OraClippingTransform instance of the clipping transformation object
  Throws:
    `javax.datamining.JDMException` - if instance of the clipping transformation object can not be created

### create

    public OraClippingTransform create(java.lang.String inputDataURI,
                                       java.lang.String outputDataURI,
                                       boolean isOutputAsView,
                                       OraClippingType clippingType,
                                       double tailFraction)
                                throws javax.datamining.JDMException

  Creates a clipping transform with the specified clipping table..
  Parameters:
    `inputDataURI` - uri of the input table
    `outputDataURI` - uri of the output view or table
    `isOutputAsView` - falg to indicate the output is a view or table
    `tailFraction` - tail fraction
  Returns:
    OraClippingTransform instance of the clipping transformation object
  Throws:
    `javax.datamining.JDMException` - if instance of the clipping transformation object can not be created

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All rights reserved.